import { Terminal, TerminalOptions } from 'pty.js';
export interface ChildOptions extends TerminalOptions {
    prefix?: string;
    prefixColor?: number;
    stdout?: NodeJS.WritableStream;
}
export interface Prefix {
    raw: string;
    formatted: string;
}
/**
 * Thin wrapper of node.js ChildProcess object, which supports restart.
 */
export declare class Child {
    /**
     * pty terminal object
     */
    terminal: Terminal;
    prefix: Prefix;
    private cm;
    private command;
    private args;
    private options;
    private stdout;
    constructor(cm: Childminder, prefix: Prefix, command: string, args?: string[], options?: ChildOptions);
    /**
     * Restart child process.
     */
    restart(): void;
    private kill();
    private startOrRestartProcess();
}
/**
 * Process manager that contains multiple Child instances.
 */
export declare class Childminder {
    _prefixLen: number;
    private children;
    /**
     * Create a child process.
     */
    create(command: string, args?: string[], options?: ChildOptions): Child;
}
